require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"

carlos = {
"Acceder al Tutorial",
}

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)

local bienvenidaMensaje = [[¡Noticias emocionantes! Este único archivo de importación desbloquea un acceso ilimitado y gratuito a 76 voces en español de alta calidad de Microsoft Azure. Perfectas para lectores de pantalla como Jieshuo y TalkBack, así como para disfrutar de la lectura de libros. ¡Suscríbete para más contenido de calidad y comparte para apoyar mi trabajo! Haz clic en el siguiente botón para acceder al tutorial.]]

layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = "Importa este archivo para acceder a 76 voces en español de Microsoft Azure en línea en MultiTTS",
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    TextView,
    text = bienvenidaMensaje,
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
  },
  {
    LinearLayout, -- Contenedor para los botones
    orientation = LinearLayout.VERTICAL,
    layout_width = "fill",
    layout_height = "fill",
    {
      GridView,
      id = "grid",
      numColumns = 1,
      layout_width = "fill",
      layout_height = "0dp",
      layout_weight = 1, -- Utiliza todo el espacio disponible
    },
    {
      Button,
      text = "Volver",
      onClick = function(view)
        dlg.dismiss()
        vibrator.vibrate(100)
      end,
      layout_width = "wrap_content",
      gravity = 5,
    },
  },
}

dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
grid.adapter = SingleLineAdapter(service, String(carlos))

grid.onItemClick = function(l, v)
  task(100, function()
    dlg.dismiss()
    local context = activity or service
    vibrator.vibrate(100)
    service.playSoundTick()

    if v.text == carlos[1] then
      openLink("https://youtu.be/I49-Zrsg7sk?si=fKmil6bHxy-yQwmH")
      return true
    end
  end)
end

function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
  service.asyncSpeak("El enlace se ha abierto.")
end

dlg.show()

function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end
return true